Bug 1394472 - [abrt] lightdm-gtk: cairo_surface_get_type(): lightdm-gtk-greeter killed by SIGSEGV
Summary: [abrt] lightdm-gtk: cairo_surface_get_type(): lightdm-gtk-greeter killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm-gtk
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f1ee035cdb7353791eb9a66a76a...
: 1399811 1417060 1421360 1426056 1460022 1466998 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-12 12:03 UTC by danil rost
Modified: 2017-12-13 15:32 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:34:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.03 KB, text/plain)
2016-11-12 12:03 UTC, danil rost
no flags Details
File: cgroup (242 bytes, text/plain)
2016-11-12 12:03 UTC, danil rost
no flags Details
File: core_backtrace (4.09 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: dso_list (10.52 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: environ (455 bytes, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: limits (1.29 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: maps (49.14 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: mountinfo (3.58 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: open_fds (908 bytes, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-11-12 12:04 UTC, danil rost
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-11-12 12:04 UTC, danil rost
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1551548 0 None None None 2017-01-24 15:17:46 UTC

Description danil rost 2016-11-12 12:03:50 UTC
Version-Release number of selected component:
lightdm-gtk-2.0.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
global_pid:     988
kernel:         4.8.6-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            996

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 cairo_surface_get_type at cairo-surface.c:221
 #1 set_surface_as_root at greeterbackground.c:1646
 #2 greeter_background_save_xroot at greeterbackground.c:1033
 #3 start_session at lightdm-gtk-greeter.c:2023
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 handle_reset at greeter.c:575
 #8 handle_message at greeter.c:647
 #9 from_server_cb at greeter.c:725
 #14 ??
 #15 ??

Comment 1 danil rost 2016-11-12 12:03:56 UTC
Created attachment 1219992 [details]
File: backtrace

Comment 2 danil rost 2016-11-12 12:03:58 UTC
Created attachment 1219993 [details]
File: cgroup

Comment 3 danil rost 2016-11-12 12:04:00 UTC
Created attachment 1219994 [details]
File: core_backtrace

Comment 4 danil rost 2016-11-12 12:04:02 UTC
Created attachment 1219995 [details]
File: dso_list

Comment 5 danil rost 2016-11-12 12:04:03 UTC
Created attachment 1219996 [details]
File: environ

Comment 6 danil rost 2016-11-12 12:04:04 UTC
Created attachment 1219997 [details]
File: limits

Comment 7 danil rost 2016-11-12 12:04:07 UTC
Created attachment 1219998 [details]
File: maps

Comment 8 danil rost 2016-11-12 12:04:08 UTC
Created attachment 1219999 [details]
File: mountinfo

Comment 9 danil rost 2016-11-12 12:04:10 UTC
Created attachment 1220000 [details]
File: namespaces

Comment 10 danil rost 2016-11-12 12:04:11 UTC
Created attachment 1220001 [details]
File: open_fds

Comment 11 danil rost 2016-11-12 12:04:13 UTC
Created attachment 1220002 [details]
File: proc_pid_status

Comment 12 danil rost 2016-11-12 12:04:14 UTC
Created attachment 1220003 [details]
File: var_log_messages

Comment 13 danil rost 2016-11-12 12:04:16 UTC
Created attachment 1220004 [details]
File: exploitable

Comment 14 Laurentiu Pancescu 2016-12-06 11:44:51 UTC
Similar problem has been detected:

Default installation of F25 XFCE Live Spin, unable to login graphically after the installation. I switched to the first text console, upgraded the system, rebooted and tried again, with the same result. After 'journalctl -b' showed a SIGSEGV in lightdm-gtk-greeter, I was able to start XFCE from the text console, by 'sudo systemctl stop lightdm', followed by 'startxfce4 &' and I reported the crash from ABRT.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
global_pid:     1682
kernel:         4.8.11-300.fc25.x86_64
package:        lightdm-gtk-2.0.2-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         lightdm-gtk-greeter killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            995

Comment 15 Laurentiu Pancescu 2016-12-06 22:38:20 UTC
Could this crash be hardware-specific, if it involves Cairo?  I'm running F25 XFCE i686 on another netbook since F25 Beta was published, without having ever seen lightdm crashing (Intel 945GM integrated graphics controller). The crash is also unreproducible with a fresh F25 XFCE x86_64 installation inside KVM.  On an Asus EeePC 1005PE, using an Atom N450 integrated graphics, the crash is 100% reproducible.

Comment 16 Laurentiu Pancescu 2017-01-16 15:10:00 UTC
As of 2017-01-15, I can't reproduce the crash anymore. I upgraded from F24 to F25 yesterday, and I never saw any crashes. I also performed a clean F25 installation today, again without any single crash after several logins.

Comment 17 Rex Dieter 2017-01-24 15:16:33 UTC
*** Bug 1399811 has been marked as a duplicate of this bug. ***

Comment 18 Rex Dieter 2017-01-24 15:17:47 UTC
See also upstream bug
https://bugs.launchpad.net/ubuntu/+source/lightdm-gtk-greeter/+bug/1551548

unfortunately, that was closed as a duplicate of a private (non-public) bug

Comment 19 ingo 2017-01-27 07:06:09 UTC
*** Bug 1417060 has been marked as a duplicate of this bug. ***

Comment 20 Sebastian 2017-02-11 13:50:06 UTC
*** Bug 1421360 has been marked as a duplicate of this bug. ***

Comment 21 Sebastian 2017-02-23 06:40:08 UTC
*** Bug 1426056 has been marked as a duplicate of this bug. ***

Comment 22 Need Real Name 2017-03-22 19:38:16 UTC
This happens to me 99% of the time when I login to either of my two Fedora 25 systems. Both have a Cinnamon desktop. One is a Skylake desktop Core i7 with INtel built in graphics, the other is a Kaby Lake laptop Core i5 with Intel built in graphics.

Comment 23 Need Real Name 2017-03-22 20:01:50 UTC
Just to clarify, it happens just once, on the first login after reboot. The screen goes black and after a couple seconds I get the login prompt back. When I login the next time everything is fine. So it isn't a serious bug, but something is clearly amiss.

Comment 24 Jarmo 2017-05-07 14:17:08 UTC
Reproduces in F26 Alpha.

Comment 25 Simon 2017-05-07 15:16:38 UTC
(In reply to rh from comment #24)
> Reproduces in F26 Alpha.

Wouldn't be too surprised. As far as I know no fix had been provided. My workaround was to use gdm instead of lightdm. Works well in fedora

Comment 26 Fedora Admin XMLRPC Client 2017-05-19 16:21:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 27 Jarmo 2017-05-23 15:45:18 UTC
Currently the issue does not reproduce (with lightdm). Had the issue since Nov 2016 (or so).

Comment 28 yasu 2017-06-08 20:51:32 UTC
*** Bug 1460022 has been marked as a duplicate of this bug. ***

Comment 29 Lilicenco 2017-07-01 12:12:54 UTC
*** Bug 1466998 has been marked as a duplicate of this bug. ***

Comment 30 Fedora Admin XMLRPC Client 2017-07-05 20:39:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 31 Charlie Bennett 2017-11-07 17:23:51 UTC
Anybody working this?

Comment 32 Fedora End Of Life 2017-11-16 14:56:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 33 Fedora End Of Life 2017-12-12 10:34:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 34 Marek 2017-12-13 15:32:47 UTC
Similar problem has been detected:

This happend just after start my PC

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: cairo_surface_get_type
executable:     /usr/sbin/lightdm-gtk-greeter
global_pid:     950
kernel:         4.13.8-100.fc25.x86_64
package:        lightdm-gtk-2.0.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         lightdm-gtk-greeter killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            997


Note You need to log in before you can comment on or make changes to this bug.